## gpib 3.2.03

=== driver/nec7210/Makefile ===

obj-m += nec7210.o

nec7210-objs := cmd.o init.o read.o util.o write.o aux.o interrupt.o

=== driver/tms9914/Makefile ===

obj-m += tms9914.o

tms9914-objs := cmd.o init.o read.o util.o write.o aux.o interrupt.o

## gpib 3.2.09

=== drivers/gpib/Makefile ===

obj-y += agilent_82350b/
obj-y += agilent_82357a/
obj-y += cb7210/
obj-y += cec/
obj-y += hp_82335/
obj-y += hp_82341/
obj-y += ines/
obj-y += nec7210/
obj-y += ni_usb/
obj-y += pc2/
obj-y += sys/
obj-y += tms9914/
obj-y += tnt4882/

=== util/linux_flags/Makefile ===
#get flags for kernel modules from linux kernel source tree

obj-m += fake.o

$(obj)/fake.c: flags
	touch $(obj)/fake.c

$(obj)/fake.o: flags

ESCAPED_LINUXDIR=$(shell echo $(LINUXDIR) | sed 's^/^\\/^g')

.PHONY: flags
flags:
	echo LINUX_ARCH="$(ARCH)" >$(obj)/flags
	echo LINUX_AFLAGS="$(AFLAGS)" | sed 's/Iinclude/I$(ESCAPED_LINUXDIR)\/include/g'>>$(obj)/flags
	echo LINUX_LDFLAGS="" >>$(obj)/flags
	echo LINUX_ARFLAGS="$(ARFLAGS)" >>$(obj)/flags
	echo LINUX_CROSS_COMPILE="$(CROSS_COMPILE)" >>$(obj)/flags
	echo LINUX_KERNELRELEASE="$(KERNELRELEASE)" >>$(obj)/flags
	echo LINUX_CFLAGS="$(CFLAGS)" | sed 's/Iinclude/I$(ESCAPED_LINUXDIR)\/include/g'>>$(obj)/flags
	echo LINUX_CFLAGS_MODULE="$(CFLAGS_MODULE)" >>$(obj)/flags
	echo LINUX_CC="$(CC)" >>$(obj)/flags
	echo LINUX_LD="$(LD) $(LDFLAGS) $(LDFLAGS_MODULE)" >>$(obj)/flags
	echo LINUX_AS="$(AS)" >>$(obj)/flags
	echo LINUX_MODLIB="$(MODLIB)" >>$(obj)/flags

=== drivers/gpib/eastwood/Makefile ===
EXTRA_CFLAGS += -Idrivers/gpib/include

obj-$(CONFIG_EASTWOOD_GPIB) += eastwood_gpib.o

=== drivers/gpib/include/Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# drivers/gpib/include/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# driver/include/Makefile.am
# copyright (C) 2003 by Frank Mori Hess
# email : fmhess@users.sourceforge.net
#
#   This Makefile.am is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.

srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/linux-gpib
pkglibdir = $(libdir)/linux-gpib
pkgincludedir = $(includedir)/linux-gpib
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = drivers/gpib/include
DIST_COMMON = $(headers_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/am-check-python-headers.m4 \
	$(top_srcdir)/m4/tcl.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(headersdir)"
headersHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(headers_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run aclocal-1.9
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run autoconf
AUTOHEADER = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run autoheader
AUTOMAKE = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run automake-1.9
AWK = mawk
BIND_GUILE_FALSE = #
BIND_GUILE_TRUE = 
BIND_PERL_FALSE = #
BIND_PERL_TRUE = 
BIND_PHP_FALSE = #
BIND_PHP_TRUE = 
BIND_PYTHON_FALSE = #
BIND_PYTHON_TRUE = 
BIND_TCL_FALSE = #
BIND_TCL_TRUE = 
BUILD_DOCS_FALSE = #
BUILD_DOCS_TRUE = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPMOD = /sbin/depmod
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GPIB_SO_VERSION = 1:3:1
IBMAJOR = 160
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
ISODATE = 2007-03-25
JW_PATH = /usr/bin/jw
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBGPIB_CFLAGS = -I$(top_srcdir)/include -D_REENTRANT
LIBGPIB_LDFLAGS = $(top_srcdir)/lib/libgpib.la -lpthread
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LINUX_SRCDIR = /lib/modules/2.6.8-3-686-smp/build/
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run makeinfo
OBJEXT = o
PACKAGE = linux-gpib
PACKAGE_BUGREPORT = 
PACKAGE_NAME = linux-gpib
PACKAGE_STRING = linux-gpib 3.2.09
PACKAGE_TARNAME = linux-gpib
PACKAGE_VERSION = 3.2.09
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PHP_CONFIG = /usr/bin/php-config
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INCLUDES = -I/usr/include/python2.3
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.3
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TCL_BIN_DIR = /usr/lib/tcl8.4
TCL_INC_DIR = /usr/include/tcl8.4/tcl-private/generic
TCL_LIB_FILE = libtcl8.4.so
TCL_LIB_FLAG = -ltcl8.4
TCL_LIB_SPEC = -L/usr/lib -ltcl8.4
TCL_SRC_DIR = /usr/include/tcl8.4/tcl-private
TCL_STUB_LIB_FILE = libtclstub8.4.a
TCL_STUB_LIB_FLAG = -ltclstub8.4
TCL_STUB_LIB_SPEC = -L/usr/lib -ltclstub8.4
TCL_VERSION = 8.4
VERSION = 3.2.09
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/fmhess/svn/linux-gpib/linux-gpib/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pkgpyexecdir = ${pyexecdir}/linux-gpib
pkgpythondir = ${pythondir}/linux-gpib
prefix = /usr/local
program_transform_name = s,x,x,
pyexecdir = ${exec_prefix}/lib/python2.3/site-packages
pythondir = ${prefix}/lib/python2.3/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = amcc5920.h amccs5933.h gpibP.h gpib_ioctl.h gpib_proto.h \
	gpib_types.h gpib_user.h nec7210.h nec7210_registers.h plx9050.h \
	quancom_pci.h tms9914.h tnt4882_registers.h \
	linux/*.h

headersdir = $(includedir)/gpib
headers_HEADERS = gpib_user.h
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  drivers/gpib/include/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  drivers/gpib/include/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-headersHEADERS: $(headers_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(headersdir)" || $(mkdir_p) "$(DESTDIR)$(headersdir)"
	@list='$(headers_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(headersHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(headersdir)/$$f'"; \
	  $(headersHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(headersdir)/$$f"; \
	done

uninstall-headersHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(headers_HEADERS)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(headersdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(headersdir)/$$f"; \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/linux
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(headersdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"

=== drivers/gpib/ines/Makefile ===

obj-m += ines_gpib.o

ines_gpib-objs := ines_init.o ines_cs.o interrupt.o ines_util.o ines_read.o ines_write.o

=== drivers/gpib/sys/Makefile ===

obj-m += gpib_common.o

gpib_common-objs := osfuncs.o  osinit.o  ostimer.o osutil.o autopoll.o ibcac.o ibcmd.o \
	ibgts.o ibinit.o iblines.o ibread.o ibrpp.o ibrsv.o ibsic.o \
	ibsre.o ibutil.o ibwait.o ibwrite.o device.o event.o

## gpib 3.2.10

=== drivers/gpib/include/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.10 from Makefile.am.
 # drivers/gpib/include/Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
+# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -23,15 +23,11 @@
 #   the Free Software Foundation; either version 2 of the License, or
 #   (at your option) any later version.
 
-srcdir = .
-top_srcdir = ../../..
 
 pkgdatadir = $(datadir)/linux-gpib
 pkglibdir = $(libdir)/linux-gpib
 pkgincludedir = $(includedir)/linux-gpib
-top_builddir = ../../..
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = /usr/bin/install -c
 install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c
 install_sh_SCRIPT = $(install_sh) -c
@@ -70,28 +66,14 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run aclocal-1.9
+ACLOCAL = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run aclocal-1.10
 ALLOCA = 
-AMDEP_FALSE = #
-AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run tar
+AMTAR = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run automake-1.9
+AUTOCONF = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run automake-1.10
 AWK = mawk
-BIND_GUILE_FALSE = #
-BIND_GUILE_TRUE = 
-BIND_PERL_FALSE = #
-BIND_PERL_TRUE = 
-BIND_PHP_FALSE = #
-BIND_PHP_TRUE = 
-BIND_PYTHON_FALSE = #
-BIND_PYTHON_TRUE = 
-BIND_TCL_FALSE = #
-BIND_TCL_TRUE = 
-BUILD_DOCS_FALSE = #
-BUILD_DOCS_TRUE = 
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
@@ -109,17 +91,19 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = grep -E
+EGREP = /bin/grep -E
 EXEEXT = 
-F77 = 
-FFLAGS = 
-GPIB_SO_VERSION = 1:3:1
+F77 = g77
+FFLAGS = -g -O2
+GPIB_SO_VERSION = 1:4:1
+GREP = /bin/grep
 IBMAJOR = 160
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
-INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
-ISODATE = 2007-03-25
+INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
+ISODATE = 2008-01-30
 JW_PATH = /usr/bin/jw
 LDFLAGS = 
 LEX = flex
@@ -130,55 +114,52 @@
 LIBOBJS = 
 LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LINUX_SRCDIR = /lib/modules/2.6.8-3-686-smp/build/
+LINUX_SRCDIR = /lib/modules/2.6.18-6-686/build/
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = #
-MAINTAINER_MODE_FALSE = 
-MAINTAINER_MODE_TRUE = #
-MAKEINFO = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run makeinfo
+MKDIR_P = /bin/mkdir -p
 OBJEXT = o
 PACKAGE = linux-gpib
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = linux-gpib
-PACKAGE_STRING = linux-gpib 3.2.09
+PACKAGE_STRING = linux-gpib 3.2.10
 PACKAGE_TARNAME = linux-gpib
-PACKAGE_VERSION = 3.2.09
+PACKAGE_VERSION = 3.2.10
 PATH_SEPARATOR = :
 PERL = /usr/bin/perl
-PHP_CONFIG = /usr/bin/php-config
+PHP_CONFIG = no
 PYTHON = /usr/bin/python
 PYTHON_EXEC_PREFIX = ${exec_prefix}
-PYTHON_INCLUDES = -I/usr/include/python2.3
+PYTHON_INCLUDES = -I/usr/include/python2.4
 PYTHON_PLATFORM = linux2
 PYTHON_PREFIX = ${prefix}
-PYTHON_VERSION = 2.3
+PYTHON_VERSION = 2.4
 RANLIB = ranlib
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-TCL_BIN_DIR = /usr/lib/tcl8.4
-TCL_INC_DIR = /usr/include/tcl8.4/tcl-private/generic
-TCL_LIB_FILE = libtcl8.4.so
-TCL_LIB_FLAG = -ltcl8.4
-TCL_LIB_SPEC = -L/usr/lib -ltcl8.4
-TCL_SRC_DIR = /usr/include/tcl8.4/tcl-private
-TCL_STUB_LIB_FILE = libtclstub8.4.a
-TCL_STUB_LIB_FLAG = -ltclstub8.4
-TCL_STUB_LIB_SPEC = -L/usr/lib -ltclstub8.4
-TCL_VERSION = 8.4
-VERSION = 3.2.09
+TCL_BIN_DIR = # no Tcl configs found
+TCL_INC_DIR = 
+TCL_LIB_FILE = 
+TCL_LIB_FLAG = 
+TCL_LIB_SPEC = 
+TCL_SRC_DIR = 
+TCL_STUB_LIB_FILE = 
+TCL_STUB_LIB_FLAG = 
+TCL_STUB_LIB_SPEC = 
+TCL_VERSION = 
+VERSION = 3.2.10
 YACC = bison -y
-ac_ct_AR = ar
+YFLAGS = 
+abs_builddir = /home/fhess/svn/linux-gpib/linux-gpib/drivers/gpib/include
+abs_srcdir = /home/fhess/svn/linux-gpib/linux-gpib/drivers/gpib/include
+abs_top_builddir = /home/fhess/svn/linux-gpib/linux-gpib
+abs_top_srcdir = /home/fhess/svn/linux-gpib/linux-gpib
 ac_ct_CC = gcc
 ac_ct_CXX = g++
-ac_ct_F77 = 
-ac_ct_RANLIB = ranlib
-ac_ct_STRIP = strip
-am__fastdepCC_FALSE = #
-am__fastdepCC_TRUE = 
-am__fastdepCXX_FALSE = #
-am__fastdepCXX_TRUE = 
+ac_ct_F77 = g77
 am__include = include
 am__leading_dot = .
 am__quote = 
@@ -190,32 +171,43 @@
 build_cpu = i686
 build_os = linux-gnu
 build_vendor = pc
-datadir = ${prefix}/share
+builddir = .
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
+dvidir = ${docdir}
 exec_prefix = ${prefix}
 host = i686-pc-linux-gnu
 host_alias = 
 host_cpu = i686
 host_os = linux-gnu
 host_vendor = pc
+htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${prefix}/info
-install_sh = /home/fmhess/svn/linux-gpib/linux-gpib/install-sh
+infodir = ${datarootdir}/info
+install_sh = $(SHELL) /home/fhess/svn/linux-gpib/linux-gpib/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
-mandir = ${prefix}/man
-mkdir_p = mkdir -p --
+mandir = ${datarootdir}/man
+mkdir_p = /bin/mkdir -p
 oldincludedir = /usr/include
+pdfdir = ${docdir}
 pkgpyexecdir = ${pyexecdir}/linux-gpib
 pkgpythondir = ${pythondir}/linux-gpib
 prefix = /usr/local
 program_transform_name = s,x,x,
-pyexecdir = ${exec_prefix}/lib/python2.3/site-packages
-pythondir = ${prefix}/lib/python2.3/site-packages
+psdir = ${docdir}
+pyexecdir = ${exec_prefix}/lib/python2.4/site-packages
+pythondir = ${prefix}/lib/python2.4/site-packages
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
+srcdir = .
 sysconfdir = ${prefix}/etc
 target_alias = 
+top_builddir = ../../..
+top_srcdir = ../../..
 EXTRA_DIST = amcc5920.h amccs5933.h gpibP.h gpib_ioctl.h gpib_proto.h \
 	gpib_types.h gpib_user.h nec7210.h nec7210_registers.h plx9050.h \
 	quancom_pci.h tms9914.h tnt4882_registers.h \
@@ -261,13 +253,9 @@
 
 clean-libtool:
 	-rm -rf .libs _libs
-
-distclean-libtool:
-	-rm -f libtool
-uninstall-info-am:
 install-headersHEADERS: $(headers_HEADERS)
 	@$(NORMAL_INSTALL)
-	test -z "$(headersdir)" || $(mkdir_p) "$(DESTDIR)$(headersdir)"
+	test -z "$(headersdir)" || $(MKDIR_P) "$(DESTDIR)$(headersdir)"
 	@list='$(headers_HEADERS)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f=$(am__strip_dir) \
@@ -332,23 +320,21 @@
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/linux
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkdir_p) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
 	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
 	    fi; \
@@ -364,7 +350,7 @@
 all-am: Makefile $(HEADERS)
 installdirs:
 	for dir in "$(DESTDIR)$(headersdir)"; do \
-	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
+	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 	done
 install: install-am
 install-exec: install-exec-am
@@ -389,3 +375,10 @@
 
 maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-am
+	-rm -f Makefile

## gpib 3.2.11

=== drivers/gpib/include/Makefile ===
--- 
+++ 
@@ -66,13 +66,13 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run aclocal-1.10
+ACLOCAL = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run aclocal-1.10
 ALLOCA = 
-AMTAR = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run tar
+AMTAR = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run automake-1.10
+AUTOCONF = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run automake-1.10
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -93,9 +93,9 @@
 ECHO_T = 
 EGREP = /bin/grep -E
 EXEEXT = 
-F77 = g77
-FFLAGS = -g -O2
-GPIB_SO_VERSION = 1:4:1
+F77 = 
+FFLAGS = 
+GPIB_SO_VERSION = 1:5:1
 GREP = /bin/grep
 IBMAJOR = 160
 INSTALL = /usr/bin/install -c
@@ -103,7 +103,7 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-ISODATE = 2008-01-30
+ISODATE = 2008-08-31
 JW_PATH = /usr/bin/jw
 LDFLAGS = 
 LEX = flex
@@ -118,18 +118,18 @@
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = #
-MAKEINFO = ${SHELL} /home/fhess/svn/linux-gpib/linux-gpib/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/fmhess/svn/linux-gpib/linux-gpib/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 OBJEXT = o
 PACKAGE = linux-gpib
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = linux-gpib
-PACKAGE_STRING = linux-gpib 3.2.10
+PACKAGE_STRING = linux-gpib 3.2.11
 PACKAGE_TARNAME = linux-gpib
-PACKAGE_VERSION = 3.2.10
+PACKAGE_VERSION = 3.2.11
 PATH_SEPARATOR = :
 PERL = /usr/bin/perl
-PHP_CONFIG = no
+PHP_CONFIG = /usr/bin/php-config
 PYTHON = /usr/bin/python
 PYTHON_EXEC_PREFIX = ${exec_prefix}
 PYTHON_INCLUDES = -I/usr/include/python2.4
@@ -140,26 +140,26 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-TCL_BIN_DIR = # no Tcl configs found
-TCL_INC_DIR = 
-TCL_LIB_FILE = 
-TCL_LIB_FLAG = 
-TCL_LIB_SPEC = 
-TCL_SRC_DIR = 
-TCL_STUB_LIB_FILE = 
-TCL_STUB_LIB_FLAG = 
-TCL_STUB_LIB_SPEC = 
-TCL_VERSION = 
-VERSION = 3.2.10
+TCL_BIN_DIR = /usr/lib/tcl8.4
+TCL_INC_DIR = /usr/include/tcl8.4/tcl-private/generic
+TCL_LIB_FILE = libtcl8.4.so
+TCL_LIB_FLAG = -ltcl8.4
+TCL_LIB_SPEC = -L/usr/lib -ltcl8.4
+TCL_SRC_DIR = /usr/include/tcl8.4/tcl-private
+TCL_STUB_LIB_FILE = libtclstub8.4.a
+TCL_STUB_LIB_FLAG = -ltclstub8.4
+TCL_STUB_LIB_SPEC = -L/usr/lib -ltclstub8.4
+TCL_VERSION = 8.4
+VERSION = 3.2.11
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/fhess/svn/linux-gpib/linux-gpib/drivers/gpib/include
-abs_srcdir = /home/fhess/svn/linux-gpib/linux-gpib/drivers/gpib/include
-abs_top_builddir = /home/fhess/svn/linux-gpib/linux-gpib
-abs_top_srcdir = /home/fhess/svn/linux-gpib/linux-gpib
+abs_builddir = /home/fmhess/svn/linux-gpib/linux-gpib/drivers/gpib/include
+abs_srcdir = /home/fmhess/svn/linux-gpib/linux-gpib/drivers/gpib/include
+abs_top_builddir = /home/fmhess/svn/linux-gpib/linux-gpib
+abs_top_srcdir = /home/fmhess/svn/linux-gpib/linux-gpib
 ac_ct_CC = gcc
 ac_ct_CXX = g++
-ac_ct_F77 = g77
+ac_ct_F77 = 
 am__include = include
 am__leading_dot = .
 am__quote = 
@@ -185,7 +185,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = $(SHELL) /home/fhess/svn/linux-gpib/linux-gpib/install-sh
+install_sh = $(SHELL) /home/fmhess/svn/linux-gpib/linux-gpib/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -375,10 +375,3 @@
 
 maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"
-	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic clean-libtool mostlyclean-am
-
-distclean: distclean-am
-	-rm -f Makefile

## gpib 3.2.20-0.0debian1~raspbian

=== debian/changelog ===
gpib (3.2.20-0.0debian1~raspbian) raspbian-wheezy; urgency=low

  * New upstream version

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 21 Apr 2014 20:10:00 -0600

gpib (3.2.11-0.2ubuntu7) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 May 2011 09:51:03 +0100

gpib (3.2.11-0.2ubuntu6) natty; urgency=low

  * Apply patch from Debian #577321 to fix a build failure.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Dec 2010 14:01:35 +0100

gpib (3.2.11-0.2ubuntu5) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:00:44 +0000

gpib (3.2.11-0.2ubuntu4) lucid; urgency=low

  * Rebuild for PHP 5.3 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Mar 2010 10:44:58 -0500

gpib (3.2.11-0.2ubuntu3) jaunty; urgency=low

  * debian/patches/autoload.patch: add modules alias so gpib module will be
    loaded
  * debian/modprobe.d/gpib.conf: Remove alias from here

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 17:15:06 +0000

gpib (3.2.11-0.2ubuntu2) jaunty; urgency=low

  * debian/modprobe.d/gpib: Rename to gpib.conf
  * debian/libgpib-bin.install: Update path.
  * debian/modprobe.d/gpib.conf: Pass command-line options to nested modprobe
    invocation
  * debian/libgpib-bin.preinst: Remove old path if unmodified
  * debian/libgpib-bin.postinst: Otherwise move to new path

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 16:54:32 +0000

gpib (3.2.11-0.2ubuntu1) jaunty; urgency=low

  * debian/gpib.rules: Rename to debian/libgpib-bin.udev
  * debian/libgpib-bin.install: Don't install udev rules by hand, instead
    just let dh_installudev (called by cdbs) do it for us.
  * debian/libgpib-bin.preinst: Remove old rules if unmodified otherwise
    rename to new filename.
  * debian/control: Bump b-d on debhelper to install rules into
    /lib/udev/rules.d, add Breaks on udev to get correct version.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 13 Jan 2009 01:24:27 +0000

gpib (3.2.11-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * revert
    * libgpib-bin.postinst. Replace pwd with $(CURDIDR).
  * drop update-modules call from libgpib-bin.postinst

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 11 Oct 2008 13:38:23 +0200

gpib (3.2.11-0.1) unstable; urgency=medium

  [ Thomas Viehmann ]
  * Non-maintainer upload.
  * New upstream version, required for kernel 2.6.26, the lenny
    release kernel. Closes: #497922.
  [ Barry deFreese ]
    + Make modules to generate .ko files.
    + Fix subdirs path in make call.
  * Drop pycompat.
  * Add XS-Python-Version.
  * libgpib-bin.postinst. Replace pwd with $(CURDIDR).
    + Remove path from update-modules.
  * debian/gpib_config.1: Escape hyphens.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 10 Oct 2008 11:52:30 -0400

gpib (3.2.10-2) unstable; urgency=low

  * Correct error in debian/rules for deleting extra gpib_php libraries.

 -- Carlo Segre <segre@debian.org>  Sun, 13 Apr 2008 15:10:09 -0500

gpib (3.2.10-1) unstable; urgency=low

  * New upstream release (required for kernel versions > 2.6.22).
  * Acknowledge NMU (Closes: #430998), thanks Amaya.
  * Reduce and clarify long descriptions and move some of the descriptive
    information into README.Debian (Closes: #452775).
  * Remove gpib_php.a, gpib_php.la and gpib_php.so symlink from 
    php5-gpib package (Closes: #452773).

 -- Carlo Segre <segre@debian.org>  Sat, 12 Apr 2008 13:11:03 -0500

gpib (3.2.09-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove gpib-modules from recommends (not available anymore). 
    (Closes: #430998).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 30 Mar 2008 21:29:24 +0200

gpib (3.2.09-2) unstable; urgency=low

  * Fix determination of phpapi version number
  * Remove tnt4882-tms module from list as it will not compile cleanly 
    (Closes: #445253)

 -- Carlo Segre <segre@debian.org>  Mon, 22 Oct 2007 23:43:54 -0500

gpib (3.2.09-1) unstable; urgency=low

  * Clarify the licensing of the documentation in debian/copyright
  * Add new module subdirectories to GPIB_MODULE_SUBDIRS
  * Move to new upstream to match newer kernels 
    (Closes: #430998, #423286, #425730, #417462, #375214)
  * Changes for specific sub-packages
    php5-gpib 
     - Change to php5 dependency, add Conflicts: and Replaces:
       to old php4-gpib package for proper upgrade 
       (Closes: #424836, #432419).
    libgpib-bin
     - Acknowledge NMU (Closes: #416596), thanks Amos.
     - Fix syntax of udev rules in debian/gpib.rules.  Must be 
       "KERNEL==" (Closes: #368020).
     - Add manpages for gpib_config and ibtest.
    gpib-modules-source 
     - Change dependencies to linux-source-2.6 and linux-headers-2.6.
       (Closes: #387958)
     - debian/rules: update the HP 82335 entry of GPIB_MODULE_SUBDIRS
       so it points to the correct directory.
    python-gpib
     - Acknowledge NMU (Closes: #373440), thanks Pierre.
  * Add Carlo Segre as Uploader with assent of Maintainer.

 -- Carlo Segre <segre@debian.org>  Sat, 29 Sep 2007 23:52:10 -0500

gpib (3.2.06-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add dependency on adduser. (Closes: #416596).

 -- Amos Waterland <apw@rossby.metr.ou.edu>  Thu, 05 Apr 2007 15:15:35 +0000

gpib (3.2.06-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #373440).
  * Wrap description correctly.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 00:25:58 +0200

gpib (3.2.06-3) unstable; urgency=high

  * break circular dependency around libgpib-bin; closes: Bug#356589 (libgpib0
    has circular Depends on libgpib-bin)
  * add lost no-segment.h patch; closes: Bug#360136
    (gpib_3.2.06-2(amd64/unstable): Patch no-segment.h.patch does not exist
  * debian/rules: add "LD_RUN_PATH=" to make invokation for the perl bindings


=== debian/rules ===
#!/usr/bin/make -f
# rules
#
# Robert Jordens <rjo@gmx.de>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.
#
# $Id$
#

DEB_PYTHON_SYSTEM=pysupport

#"cdbs makefile.mk"
include /usr/share/cdbs/1/class/makefile.mk
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed 's/-[^-]*$$//')
DEB_UPSTREAM_TARBALL_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+[^+]*$$//')
DEB_TAR_SRCDIR := linux-$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)
# tarball has to be first because of #205396
#"cdbs tarball.mk"
include /usr/share/cdbs/1/rules/tarball.mk
#"cdbs patchsys-quilt.mk"
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
#"cdbs autotools.mk"
include /usr/share/cdbs/1/class/autotools.mk
#"cdbs debhelper.mk"
include /usr/share/cdbs/1/rules/debhelper.mk

#"cdbs python-distutils.mk"
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_MODULE_PACKAGE := python-gpib
DEB_PYTHON_SETUP_CMD := language/python/setup.py
DEB_PYTHON_INSTALL_ARGS_ALL = --root=$(CURDIR)/debian/python-gpib
phpapiver=$(shell php-config5 --phpapi)


#include /usr/share/cdbs/1/class/perlmodule.mk
#DEB_MAKEMAKER_INVOKE = /usr/bin/perl language/perl/Makefile.PL INSTALLDIRS=vendor

DEB_CONFIGURE_EXTRA_FLAGS := --enable-pcmcia --enable-static

DEB_DH_MAKESHLIBS_ARGS := -V
DEB_SHLIBDEPS_INCLUDE := lib/.libs

# Work around #590157
ORIG_DEB_DESTDIR := $(DEB_DESTDIR)

PACKAGE = gpib-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make
# save from environment
KPKG_DESTDIR := $(DEB_DESTDIR)
DEB_DESTDIR := $(ORIG_DEB_DESTDIR)

# after the directories are created but before dh_compress is run.
common-binary-post-install-arch::
	dh_buildinfo

# make include = gpib to build perl and python bindings
post-patches::
	cd build-tree/*-* && ./bootstrap
#	-rm -f gpib && ln -s include gpib

build/libgpib-perl::
	(cd $(DEB_BUILDDIR)/language/perl; \
	perl Makefile.PL INSTALLDIRS=vendor;\
	$(MAKE) OPTIMIZE="-O2 -g -Wall" LD_RUN_PATH=)

install/libgpib-perl::
	(cd $(DEB_BUILDDIR)/language/perl; \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libgpib-perl )

binary-predeb/php5-gpib::
	echo "php:Depends=phpapi-$(phpapiver)" >> debian/php5-gpib.substvars
# Don't use -f when deleting these files so that errors requiring a path change
# will be obvious (CUS)
	rm -f $(CURDIR)/debian/php5-gpib/usr/lib/php5/$(phpapiver)/gpib_php.a
	rm -f $(CURDIR)/debian/php5-gpib/usr/lib/php5/$(phpapiver)/gpib_php.la
	rm -f $(CURDIR)/debian/php5-gpib/usr/lib/php5/$(phpapiver)/gpib_php.so

.PHONY: clean/libgpib-perl
clean/libgpib-perl:
	-(cd $(DEB_BUILDDIR)/language/perl; \
	$(MAKE) distclean )

clean:: clean/libgpib-perl

build/gpib-modules-source::
	mkdir -p debian/gpib-modules-source/usr/src/modules
	cp -a build-tree/linux-gpib-*/drivers/gpib \
		debian/gpib-modules-source/usr/src/modules/
	mkdir -p debian/gpib-modules-source/usr/src/modules/gpib/debian
	cd debian ; cp changelog control common-description \
		compat *.modules.in rules copyright \
		gpib-modules-source/usr/src/modules/gpib/debian
	cp build-tree/linux-gpib-*/config.h \
		debian/gpib-modules-source/usr/src/modules/gpib/include
	ln -s . debian/gpib-modules-source/usr/src/modules/gpib/include/gpib
	cd debian/gpib-modules-source/usr/src/ ; \
		tar -c modules | bzip2 -9 > gpib.tar.bz2 && rm -rf modules
	mkdir -p debian/gpib-modules-source/usr/share/modass/overrides
	ln -s ../packages/default.sh \
		debian/gpib-modules-source/usr/share/modass/overrides/gpib-modules-source

kdist_clean:
	dh_clean
	find $(CURDIR) \( -name '*.[oas]' -o -name '*.ko' \
		-o -name core -o -name '.*.cmd' \) -type f -exec $(RM) {} \;

kdist_config: prep-deb-files
kdist_configure: kdist_config

KO := k

binary-modules: prep-deb-files
	dh_testdir
	dh_testroot
	dh_clean -k
#	$(MAKE) -C $(KSRC) CC="$(CC) -I$(CURDIR) -I$(CURDIR)/include" \
#		SUBDIRS="$(CURDIR)" \
#                MODVERDIR="$(CURDIR)/.tmp-versions" modules
#	install -d $(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/gpib
#	install -m644 */*.$(KO)o \
#		$(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/gpib/
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	cat debian/common-description >> debian/$(PKGNAME).substvars
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(KPKG_DESTDIR)

$(patsubst %,binary-predeb/%,$(DEB_PACKAGES)) :: binary-predeb/%: binary-fixup/%
	cat debian/common-description >> debian/$(cdbs_curpkg).substvars

.PHONY: update-regen-autotools-patch
update-regen-autotools-patch:
	-fakeroot debian/rules clean apply-patches
	(cd build-tree/*-*; \
	quilt push -a -f; \
	aclocal --force; \
	autoconf --force; \
	automake -a -c -f; \
	libtoolize --force --copy; \
	quilt refresh; )
	

.PHONY: update-create-orig-tarball
update-create-orig-tarball:
	mkdir -p tmp-orig-tree/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig
	cp *.tar.* tmp-orig-tree/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig
	tar -C tmp-orig-tree -czvf \
		../$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
		$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig

.PHONY: update-clean
update-clean:
	rm -rf  tmp-cvs-tarball \
		tmp-orig-tree

clean:: update-clean

## gpib 3.2.20-0.1debian0~precise

=== debian/changelog ===
gpib (3.2.20-0.1debian0~precise) precise; urgency=low

  * New upstream version

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 21 Apr 2014 20:10:00 -0600

## gpib 3.2.20-0.1debian0~raspbian-wheezy

=== debian/changelog ===
gpib (3.2.20-0.1debian0~raspbian-wheezy) raspbian-wheezy; urgency=low

  * New upstream version

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 21 Apr 2014 20:10:00 -0600

=== debian/control ===
Source: gpib
Priority: optional
Section: science
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Jordens <jordens@debian.org>
Uploaders: Carlo Segre <segre@debian.org>
Build-Depends: debhelper (>= 7.0.17ubuntu2), cdbs, dh-buildinfo, bzip2, quilt,
 autotools-dev, doxygen, docbook-utils, docbook-to-man, perl (>= 5.6.0-16),
 python-all-dev (>= 2.3.5-11), python-support (>= 0.5.3),
 php5-dev, module-assistant
XS-Python-Version: >= 2.4
Standards-Version: 3.8.0

Package: libgpib0-dev
Section: libdevel
Architecture: any
Provides: libgpib-dev
Conflicts: libgpib-dev
Replaces: libgpib-dev
Depends: libgpib0 (= ${binary:Version})
Description: C bindings for GPIB (IEEE 488) kernel driver -- headers
 ${Common:Description}
 .
 This package contains headers, documentation and static libraries.

Package: libgpib0
Section: libs
Architecture: any
Suggests: libgpib0-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgpib-bin
Description: C bindings for GPIB (IEEE 488) kernel driver -- shared library
 ${Common:Description}
 .
 This package contains the shared library.

Package: libgpib-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}, adduser, ${misc:Depends}
Breaks: udev (<< 136-1)
Description: libgpib support applications and configuration
 ${Common:Description}
 .
 This package contains configuration files and binaries for libgpib
 
Package: libgpib-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: libgpib perl bindings
 ${Common:Description}
 .
 This package contains the bindings for perl.

Package: python-gpib
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Replaces: python2.3-gpib (<< 3.2.06-3.1), python2.4-gpib (<< 3.2.06-3.1)
Conflicts: python2.3-gpib (<< 3.2.06-3.1), python2.4-gpib (<< 3.2.06-3.1)
XB-Python-Version: ${python:Versions}
Description: libgpib Python bindings (default package)
 ${Common:Description}
 .
 This package contains the bindings for Python.

Package: php5-gpib
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
Replaces: php4-gpib
Conflicts: php4-gpib
Description: libgpib PHP5 bindings
 ${Common:Description}
 .
 This package contains the bindings for PHP5.

Package: gpib-modules-source
Section: science
Architecture: all
Depends: module-assistant, quilt, cdbs, bzip2
Recommends: linux-headers-2.6 | linux-source-2.6
Suggests: kernel-package
Description: kernel modules for various GPIB boards
 ${Common:Description}
 .
 This packages contains the source for the kernel modules for various
 GPIB boards.

## gpib 3.2.20-0.1debian0~squeeze

=== debian/changelog ===
gpib (3.2.20-0.1debian0~squeeze) squeeze; urgency=low

  * New upstream version

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 21 Apr 2014 20:10:00 -0600

## gpib 3.2.20-0.1debian0~stretch

=== debian/changelog ===
gpib (3.2.20-0.1debian0~stretch) stretch; urgency=low

  * New upstream version

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 21 Apr 2014 20:10:00 -0600

## gpib 3.2.20-0.1debian0~trusty

=== debian/changelog ===
gpib (3.2.20-0.1debian0~trusty) trusty; urgency=low

  * New upstream version

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 21 Apr 2014 20:10:00 -0600

## gpib 3.2.20-0.1debian0~wheezy

=== drivers/gpib/Makefile ===

obj-y += agilent_82350b/
obj-$(CONFIG_USB) += agilent_82357a/
obj-y += cb7210/
obj-y += cec/
obj-y += hp_82335/
obj-y += hp_82341/
obj-y += ines/
obj-$(CONFIG_USB) += lpvo_usb_gpib/
obj-y += nec7210/
obj-$(CONFIG_USB) += ni_usb/
ifeq ($(CONFIG_GPIB_ISA),yes)
	obj-y += pc2/
else
	obj-$(CONFIG_ISA) += pc2/
endif
obj-y += sys/
obj-y += tms9914/
obj-y += tnt4882/

=== debian/changelog ===
gpib (3.2.20-0.1debian0~wheezy) wheezy; urgency=low

  * New upstream version

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 21 Apr 2014 20:10:00 -0600

=== debian/watch ===
version=3
http://sf.net/linux-gpib/linux-gpib-(.*)\.tar\.gz
